:root {
  /* size */
  --padding: 12px;
  --avatar-size: 36px;

  /* color */
  --white-color: #fff;
  --black-color: #000;
  --red-color: #ff0000;
  --blue-color: #0000ff;
  --link-blue-color: #8dbce2;
  --grey-dark-color: #8c8c8c;
  --grey-light-color: #e0e0e0;
  /* font size */
  --font-large: 18px;
  --font-medium: 14px;
  --font-small: 12px;
  --font-micro: 10px;  
}

body {
  margin: 0 auto;
  font-family: 'Roboto', sans-serif;
}

button {
  border: none;
  background-color: var(--white-color);
}

button:focus {
  outline: 0;
}

li {
  list-style: none;
}
ul {
  padding: 0;
  margin: 0;
}

section {
  padding: var(--padding)
}

header {
  display: flex;
  justify-content: space-between;
  color: var(--white-color);
  background-color: #252525;
  padding: var(--padding);
}

header button {
  background-color: #252525;
  color: var(--white-color);
}

header .logo .fa-youtube {
  color: var(--red-color);
}

header .icons ul{
  display: flex;
  flex-flow: row;
}

header .icons .fa-search {
  margin-right: 10px;
}
.current{
  padding: 0;
}

#contents {
  padding: 0;
}

.player {
  text-align: center;
  background-color: black;
  padding: 0;
  width: 100%;
}

video {
  width: 100%;
  max-width: 960px;
}

.video-info {
  display: flex;
  flex-flow: row;
  justify-content: space-between;
}

.video-info .hits {
  color: var(--grey-dark-color);
  font-size: var(--font-small);
}

.video-icons ul {
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  padding: 0px calc(var(--padding)*2);
}

.video-icons .stat {
  font-size: var(--font-small);
}

.video-icons button{
  font-size: var(--font-large);
  color: hsla(0,0%,6.7%,.6);
}

.video-info button {
  color: var(--grey-light-color);
}

.channel-info {
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  padding: var(--padding) 0px;
  border-top: 1px solid hsla(0,0%,53.3%,.4);
}

.channel-info .channel-metadata {
  display: flex;
  flex-flow: column;
}

.channel-info button {
  color: var(--red-color);
  padding: var(--padding);
}

.channel-avatar {
  display: flex;
  flex-flow: row;
  padding-left: var(--padding);
}

.channel-avatar img {
  width: var(--avatar-size);
  height: var(--avatar-size);
  border-radius: 50%;
  margin-right: 10px;
}

.channel-info .subscribers {
  font-size: var(--font-small);
  color: var(--grey-dark-color);
}

.related {
  border-top: 1px solid hsla(0,0%,53.3%,.4);
}

.related .related-header {
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  font-size: var(--font-small);
}

.related .related-video {
  display: flex;
  flex-flow: column;
}

.related .related-video .related-video-item{
  display: flex;
  flex-flow: row;
  padding: var(--padding) 0px;
}

.related .related-video .related-video-item .thumbnail {
  flex: 1 1 35%;
  margin-right: 10px;
}
.related .related-video .related-video-item .thumbnail img {
  width: 100%;
}

.related .related-video .related-video-item .related-video-metadata {
  flex: 1 1 65%;
}

.related .related-video .related-video-item .related-video-metadata .related-video-channel {
  font-size: var(--font-small);
  color: var(--grey-dark-color);
}


.related .related-video .related-video-item .related-video-metadata .related-video-hits {
  font-size: var(--font-small);
  color: var(--grey-dark-color);
}

@media only screen and (min-width: 550px) {
  .related .related-video {
    flex-flow: row;
  }

  .related .related-video .related-video-item {
    flex-flow: column;
    padding: calc(var(--padding))
  }
}

@media only screen and (min-width: 1080px) {
  body {
    display: flex;
    flex-direction: column;
  }
  #contents {
    display: flex;
    flex-direction: row;
  }

  .current {
    flex: 1 1 80%;
  }
  .related {
    flex: 1 1 20%;
  }

  .related .related-video {
    flex-flow: column;
  }
}
@media only screen and (min-width: 1280px) {
  .current {
    flex: 1 1 65%;
  }
  .related {
    flex: 1 1 35%;
  }
  .related .related-video {
    flex-flow: row;
    font-size: var(--font-small);
    
  }
}